Skill Pools - Members API
Bu içerik henüz dilinizde mevcut değil.
List all members of a skill pool
Заголовок раздела «List all members of a skill pool»List all people who are linked as a member to a skill pool with a specific ID.
GET /skill_pools/:id/membersResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Ashok Kumar", "created_at": "2016-03-14T03:09:55-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:31-06:00", "manager": { "name": "Howard Tanner", "id": 5 }, "id": 30, "site": { "name": "Widget Data Center", "id": 13 }, "organization": { "name": "Widget Data Center, External IT", "id": 30 }, "disabled": false }, { "name": "Barney Turban", "created_at": "2016-03-14T03:09:57-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:32-06:00", "manager": { "name": "Howard Tanner", "id": 5 }, "id": 58, "site": { "name": "Widget Data Center", "id": 13 }, "organization": { "name": "Widget Data Center, External IT", "id": 30 }, "disabled": false }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/skill_pools/:id/members/disabled: List all disabled members of a skill pool with a specific ID/skill_pools/:id/members/enabled: List all enabled members of a skill pool with a specific ID/skill_pools/:id/members/internal: List all internal members of a skill pool with a specific ID/skill_pools/:id/members/directory: List all members of a skill pool registered in the directory account of the support domain account from which the data is requested/skill_pools/:id/members/support_domain: List all members of a skill pool registered in the account from which the data is requested (and not the related directory account)
Add a member to a skill pool
Заголовок раздела «Add a member to a skill pool»Add a link between a skill pool with a specific ID and a person with a specific ID to make this person a member of the skill pool.
POST /skill_pools/:id/members/:person_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a member from a skill pool
Заголовок раздела «Remove a member from a skill pool»Remove the membership link between a skill pool with a specific ID and a person with a specific ID.
DELETE /skill_pools/:id/members/:person_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all members from a skill pool
Заголовок раздела «Remove all members from a skill pool»Remove all links between a skill pool with a specific ID and its members.
DELETE /skill_pools/:id/membersResponse
Заголовок раздела «Response»Status: 204 No Content